#### ODISPS

#### Synopsis

    HELP:   (HOST) DISP status of the FLAMOUT file
    TYPE:   NUMBER
    SYNTAX: ODISPS=NEW/SHR/MOD/OLD

#### Description

Disposition-Status (JCL) of FLAMOUT file (z/OS only). The DISP parameter is part of the DD card in JCL.

For more information see z/OS JCL manual under DD statement. This parameter is ignored when the file is allocated via JCL. FLAM recognizes itself if a file is new or cataloged (old).

JCL-Syntax restrictions for FLAMv4 or older:

       DISP= [status]
       DISP=([status] [,normal-termination-disp] [,abnormal-termination-disp])
       DISP=([NEW]    [,DELETE                 ] [,DELETE                   ])
       DISP=([OLD]    [,KEEP                   ] [,KEEP                     ])
       DISP=([SHR]    [,CATLG                  ] [,CATLG                    ])
       DISP=([MOD]    [,UNCATLG                ] [,UNCATLG                  ])
       DISP=([,    ]   [,UNCATLG               ])

See also parameters ODISPN and ODISPA.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `ODISPS=SHR/OLD/MOD/NEW`

Values

- z/OS
  - `SHR` - shareable
  - `OLD` - exclusiv
  - `MOD` - extend
  - `NEW` - new file

Default

- z/OS
  - `SHR` for input, `OLD` or `NEW` on output.

Valid for

- decompression

#### Selections

- `NEW - Disposition status NEW (brand new file)`
- `SHR - Disposition status SHR (read exiting file)`
- `MOD - Disposition status MOD (append/modify file)`
- `OLD - Disposition status OLD (overwrite existing file)`